<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content *ngIf="show">
  <ion-refresher slot="fixed" (ionRefresh)="getOrders($event)">
    <ion-refresher-content
      pullingIcon="chevron-down-circle-outline"
      pullingText="Pull to refresh"
      refreshingSpinner="bubbles"
      refreshingText="Loading..."
    >
    </ion-refresher-content>
  </ion-refresher>
  <ion-list *ngIf="deliveries && deliveries.length;">
    <ion-item class="ion-no-padding" *ngFor="let delivery of deliveries">
      <ion-grid>
        <ion-row style="font-size: 10px"
          ><ion-col
            >Placed date: {{ delivery.datetime | date:'medium'}}</ion-col
          ></ion-row
        >
        <ion-row *ngFor="let order of delivery.orders">
          <ion-grid>
            <ion-row>
              <ion-col size="3">
                <ion-img
                  [src]="order.product.image.path"
                  [alt]="order.product.image.placeholder"
                  (click)="openProductInfo(order.product)"
                  style="cursor: pointer"
                ></ion-img>
              </ion-col>
              <ion-col>
                <ion-label>
                  <ion-row>{{ order.product.name }}</ion-row>
                  <ion-row>
                    <ion-col size="3"
                      ><span style="font-size: 12px">
                        ₱{{ order.product.price | number:'.2' }}</span
                      >
                      <span
                        style="font-size: 12px"
                        [textContent]="' x ' + order.quantity + (order.quantity > 1 ? 'pcs' : 'pc') + ' = '"
                      >
                      </span>
                      <span style="font-size: 12px"
                        >₱{{ order.product.price * order.quantity | number:
                        '.2'}}
                      </span>
                    </ion-col>
                  </ion-row>
                  <ion-row>
                    <ion-col style="font-size: 12px" size="6">
                      <ion-text
                        [color]="delivery.status === 'Canceled' 
                        ? 'danger' 
                        : delivery.status === 'Processing' 
                          ? 'secondary' 
                          : delivery.status === 'On Delivery' 
                            ? 'warning'
                            : 'success'"
                      >
                        {{ delivery.status }}
                      </ion-text>
                    </ion-col>
                  </ion-row>
                </ion-label>
              </ion-col>
            </ion-row>
          </ion-grid>
        </ion-row>
        <ion-row style="margin: 0 !important; padding: 0 !important">
          <ion-col size="4">
            <ng-container *ngIf="delivery.status === 'Processing'">
              <ion-button
                size="small"
                color="danger"
                style="text-transform: none"
                (click)="openConfirmAlert(delivery)"
                >Cancel</ion-button
              >
            </ng-container>
          </ion-col>
          <ion-col style="font-size: 12px">
            <ion-row style="font-size: 10px; margin-bottom: 5px">
              <ion-text style="margin-right: 3px"> Shipping Fee: </ion-text>
              <ion-text *ngIf="delivery.shippingFee">
                ₱{{ delivery.shippingFee | number:'.2' }} </ion-text
              ><ion-text *ngIf="!delivery.shippingFee">
                (Calculating)
              </ion-text>
            </ion-row>
            <ion-row>
              {{ delivery.orders.length }} Items, Total:
              <ion-text color="danger" style="margin-left: 3px">
                ₱{{ delivery.total + (+delivery.shippingFee) | number:
                '.2'}}</ion-text
              >
            </ion-row>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-item>
  </ion-list>
  <h1 *ngIf="show && !deliveries || !deliveries.length;" class="ion-text-center">
    No orders yet...
  </h1>
</ion-content>
